<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="UTF-8"/>

<xsl:template match="/">
<html><head><title>UBCD CD Based Docs - XML</title></head>
<body>
<p><b>UBCD CD based documentation</b></p>
<ol>
<xsl:apply-templates mode="TOC"/>
</ol>
<xsl:apply-templates mode="body"/>
</body>
</html>
</xsl:template>

<xsl:template match="utility_info" mode="TOC">
<li><a href="{concat('#utility', position())}"><xsl:value-of
select="utility/text()"/></a></li>
</xsl:template>

<xsl:template match="utility_info" mode="body">
<p><a name="{concat('utility', position())}"><xsl:value-of
select="text()"/></a></p>
<xsl:apply-templates select="utility"/>
<xsl:text> </xsl:text>
<xsl:apply-templates select="version"/>
<br></br>
<xsl:apply-templates select="description"/>
<br></br>
<xsl:apply-templates select="lastupdate"/>
<xsl:apply-templates select="doc"/>
</xsl:template>

<xsl:template match="utility"><b><xsl:value-of
select="text()"/></b></xsl:template>

<xsl:template match="description"><xsl:value-of select="text()"/></xsl:template>

<!-- this is a way to handle docs. please uncomment this and comment
the doc template under it
<xsl:template match="doc">
<br></br><a href="{url}"><xsl:value-of select="title"/></a>
</xsl:template>
-->

<xsl:template match="doc">
<br></br>
<xsl:text>[documentation] </xsl:text>
<xsl:value-of select="title"/>
<xsl:text>: </xsl:text>
<a href="{url}">web</a>
<xsl:text> </xsl:text>
<a href="{location}">local</a>
</xsl:template>


<xsl:template match="version">Version: <xsl:value-of
select="text()"/></xsl:template>
<xsl:template match="lastupdate">Last Updated: <xsl:value-of
select="text()"/></xsl:template>

</xsl:stylesheet>
